Bug 226020 - $vm should have a function for checking if security assertions are enabled similar to $vm.assertEnabled
Summary: $vm should have a function for checking if security assertions are enabled si...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tuomas Karkkainen
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-05-20 07:23 PDT by Tuomas Karkkainen
Modified: 2021-06-07 04:12 PDT (History)
8 users (show)

See Also:


Attachments
proposed patch (2.53 KB, patch)
2021-05-20 07:46 PDT, Tuomas Karkkainen
mark.lam: review+
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
rebased patch (2.51 KB, patch)
2021-06-07 03:15 PDT, Tuomas Karkkainen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tuomas Karkkainen 2021-05-20 07:23:48 PDT
$vm should have a function for checking if security assertions are enabled similar to $vm.assertEnabled
Comment 1 Tuomas Karkkainen 2021-05-20 07:46:57 PDT
Created attachment 429172 [details]
proposed patch
Comment 2 Mark Lam 2021-05-20 08:57:20 PDT
Comment on attachment 429172 [details]
proposed patch

r=me
Comment 3 EWS 2021-05-20 09:02:30 PDT
Tools/Scripts/svn-apply failed to apply attachment 429172 [details] to trunk.
Please resolve the conflicts and upload a new patch.
Comment 4 Radar WebKit Bug Importer 2021-05-27 07:24:17 PDT
<rdar://problem/78567619>
Comment 5 Tuomas Karkkainen 2021-06-07 03:15:46 PDT
Created attachment 430734 [details]
rebased patch
Comment 6 EWS 2021-06-07 04:12:01 PDT
Committed r278553 (238551@main): <https://commits.webkit.org/238551@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 430734 [details].